// creator  : weidu.exe (version 23100)
// argument : _DEZKIEL.DLG
// game		 : .
// source	 : ./override/_DEZKIEL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DEZKIEL~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #84392 /* ~Now now now, hello there. And you might be who? Another wayward spellslinger looking for a way out? Or just another power-hungry fool trying to force the doors from the wrong side? Tell me, warrior, why is it that whatever you seek is always in the last place you look?~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
  IF ~Global("X#DEZKIEL0","GLOBAL",0)
InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEZKIEL0","GLOBAL",1)~ GOTO 7
  IF ~Global("X#DEZKIEL0","GLOBAL",0)
InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEZKIEL0","GLOBAL",1)~ EXTERN ~_ALORAJ~ 27
  IF ~Global("X#DEZKIEL0","GLOBAL",0)
InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEZKIEL0","GLOBAL",1)~ GOTO 9
  IF ~Global("X#DEZKIEL0","GLOBAL",0)
InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEZKIEL0","GLOBAL",1)~ EXTERN ~_ALORAJ~ 29
  IF ~Global("X#DEZKIEL0","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DEZKIEL0","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 14
END

IF ~~ THEN BEGIN 1 // from: 14.0 13.0 12.0 11.0 10.0 9.0 8.0 7.0 0.0 _ALORAJ:32.0 _ALORAJ:31.0 _ALORAJ:30.0 _ALORAJ:29.0 _ALORAJ:28.0 _ALORAJ:27.0
  SAY #84396 /* ~Ha! The commonsense answer, in a place uncommon where sense does not rule the day. You are looking for something here: something of power and value. I am sure I know just what it is, and for whom you seek it. I do not wish to relinquish it. What do you have to say to that?~ */
  IF ~~ THEN REPLY #84397 /* ~How do you know these things of me?~ */ GOTO 3
  IF ~~ THEN REPLY #84398 /* ~It is irrelevant. By this admission you have stated what I need to know. I will take what you have whether you permit it or not.~ */ GOTO 4
  IF ~~ THEN REPLY #84399 /* ~I have a task, plain and simple. You can aid it or oppose it, but you will not ignore it.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 14.1 13.1 12.1 11.1 10.1 9.1 8.1 7.1 3.1 0.1 _ALORAJ:32.1 _ALORAJ:31.1 _ALORAJ:30.1 _ALORAJ:29.1 _ALORAJ:28.1 _ALORAJ:27.1
  SAY #84400 /* ~Do you now? And he did not come for it himself? Of course not. He left this place only by shedding his most powerful dweomers. More sensible to send you, who are of lesser power. No doubt he will extricate you using some sort of focus, drawing you away with magic centered elsewhere once you have completed your task. Have I guessed your means of travel? Do you even know?~ */
  IF ~~ THEN REPLY #84401 /* ~It is irrelevant. I have a task to do and you are in the way. Ignore me at your peril.~ */ GOTO 5
  IF ~~ THEN REPLY #84397 /* ~How do you know these things of me?~ */ GOTO 3
  IF ~~ THEN REPLY #84402 /* ~You have said more than I need to know. I must deal with you to complete my task.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 14.2 13.2 12.2 11.2 10.2 9.2 8.2 7.2 2.1 1.0 0.2 _ALORAJ:32.2 _ALORAJ:31.2 _ALORAJ:30.2 _ALORAJ:29.2 _ALORAJ:28.2 _ALORAJ:27.2
  SAY #84403 /* ~The others here are like me, in that they do not understand this place. I doubt the place itself could tell its own purpose were it able to answer questions. Suffice it that I am not so quick to turn to desperation as the others, and I do not fear the unknown quite so much. If this place draws magical energies to it, and I am here at the center, then it draws magical energy to me by default. In time I will harness it, and in time I will leave. Already I know more of things here than any other. I can see things... things others cannot.~ */
  IF ~~ THEN REPLY #84404 /* ~Irrelevant. I only care about what I have been sent to retrieve. That is my escape from this place.~ */ GOTO 4
  IF ~~ THEN REPLY #84405 /* ~You have many answers. Can you tell me where to find Shandalar's cloak? I have to find it.~ */ GOTO 2
  IF ~~ THEN REPLY #84406 /* ~And what can you see? What is this place?~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.0 2.2 1.1
  SAY #84407 /* ~Our conversation is to be a short one, then. Launch your spells and wield your weapons, for one of us will cease breathing this day. It matters little. I see things here that others cannot, and I have an understanding of what comes. Take what you need and finish your task, and be released with the power of another in a different place. He will thank you in his fashion, I am sure. Attack as you will, and one of us will go to join the others.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 2.0 1.2
  SAY #84408 /* ~I ignore nothing here, and I see far more than you. I have been here long and have used my time effectively. Some fall or go mad, but I have learned. Do I understand this place? No, but I begin too. It stores what it brings for something long since forgotten. Perhaps when I remember it I will master it... perhaps not. You are but an interloper, a messenger, and the power of someone else will remove you from afar. Do what you must, I can only gain in this. I win, I am released. I lose, I am released.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 3.2
  SAY #84409 /* ~I see why you are here. I see that I have what you seek. I see that we must fight and the victor shall leave. What is this place? Many things. Today it is a dueling pit. Tomorrow it will be a graveyard. Yesterday it was... what? I cannot say. If it is natural it is an abomination. If it is divine, it is utterly cruel. We are all many things, including obtuse and unclear. Do what you will. If I win, I am released. If I lose, I am released.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.3
  SAY #98480 /* ~An interesting point, and one which bears more relevance to the situation that you know. Still, I would know your friend's answer to the original question.~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
END

IF ~~ THEN BEGIN 8 // from: _ALORAJ:27.3
  SAY #98480 /* ~An interesting point, and one which bears more relevance to the situation that you know. Still, I would know your friend's answer to the original question.~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
END

IF ~~ THEN BEGIN 9 // from: 0.5
  SAY #98478 /* ~Hmm, now what do you mean by that, short one?~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN GOTO 10
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ALORAJ~ 28
END

IF ~~ THEN BEGIN 10 // from: 9.3 _ALORAJ:28.3
  SAY #98480 /* ~An interesting point, and one which bears more relevance to the situation that you know. Still, I would know your friend's answer to the original question.~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
END

IF ~~ THEN BEGIN 11 // from: _ALORAJ:29.5
  SAY #98478 /* ~Hmm, now what do you mean by that, short one?~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN GOTO 12
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ALORAJ~ 30
END

IF ~~ THEN BEGIN 12 // from: 11.3 _ALORAJ:30.3 _ALORAJ:29.3
  SAY #98480 /* ~An interesting point, and one which bears more relevance to the situation that you know. Still, I would know your friend's answer to the original question.~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
END

IF ~~ THEN BEGIN 13 // from: _ALORAJ:31.5
  SAY #98478 /* ~Hmm, now what do you mean by that, short one?~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN GOTO 14
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ALORAJ~ 32
END

IF ~~ THEN BEGIN 14 // from: 13.3 _ALORAJ:32.3 _ALORAJ:31.3
  SAY #98480 /* ~An interesting point, and one which bears more relevance to the situation that you know. Still, I would know your friend's answer to the original question.~ */
  IF ~~ THEN REPLY #84393 /* ~Um... because you find it?~ */ GOTO 1
  IF ~~ THEN REPLY #84394 /* ~I have no time for your riddles! I seek a cloak that belongs to Shandalar!~ */ GOTO 2
  IF ~~ THEN REPLY #84395 /* ~This place has addled your senses. No doubt you will be no friendlier than any of the others here.~ */ GOTO 3
END
